## imcode.server.document
Class ConcurrentDocumentModificationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.util.ConcurrentModificationException
                      imcode.server.document.ConcurrentDocumentModificationException

All Implemented Interfaces:
  java.io.Serializable

    public class ConcurrentDocumentModificationException

extends java.util.ConcurrentModificationException

The document changed while we were not expecting it to. Probably a bug.

See Also:
  Serialized Form

Constructor Summary
`ConcurrentDocumentModificationException(java.lang.Throwable throwable)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConcurrentDocumentModificationException

    public ConcurrentDocumentModificationException(java.lang.Throwable throwable)